Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1437 (closed defect: fixed)

Opened 12 years ago

Last modified 10 years ago

No scan results - IXP425, SnapGear 2.4

Reported by: anonymous Assigned to:
Priority: minor Milestone: version 0.9.5
Component: madwifi: other Version: v0.9.3.1
Keywords: Cc:
Patch is attached: 0 Pending: 0

Description

Hello, here log:

Using /lib/modules/2.4.32-uc0/net/ath_hal.o
ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413, REGOPS_FUNC)
Using /lib/modules/2.4.32-uc0/net/wlan.o
wlan: 0.8.4.2 (0.9.3.1)
Using /lib/modules/2.4.32-uc0/net/ath_rate_sample.oath_rate_sample: 1.2 (0.9.3.1)

Using /lib/modules/2.4.32-uc0/net/wlan_scan_sta.o
Using /lib/modules/2.4.32-uc0/net/ath_pci.o
ath_pci: 0.9.4.5 (0.9.3.1)
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.6 phy 4.1 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x4bff0000, irq=28

<skiped> ========

# wlanconfig ath0 destroy
# athdebug 0xffffffff
<skiped> ========
# wlanconfig ath0 create wlandev wifi0 wlanmode sta
ath0
# iwconfig ath0 essid SomeWord channel 6
# ifconfig ath0 10.0.1.155 netmask 255.255.255.0 up

ath_init: mode 1
ath_stop_locked: invalid 0 flags 0x1002
ath_startrecv: mtu 1500 cachelsz 32 rxbufsize 3104
ath_mode_init: RX filter 0x17, MC filter 00000000:00000000
ath_mode_init: RX filter 0x117, MC filter 00000000:00000000
ath_newstate: wifi0: INIT -> SCAN
ath_newstate: RX filter 0x117 bssid 00:00:00:00:00:00 aid 0x0
ath_scan_start: RX filter 0x117 bssid ff:ff:ff:ff:ff:ff aid 0
ath_chan_set: 7 (2442 MHz) -> 1 (2412 MHz)
ath_draintxq: beacon queue 0x0
ath_tx_stopdma: tx queue [0] 0x0, link 00000000
ath_tx_stopdma: tx queue [1] 0x0, link 00000000
ath_tx_stopdma: tx queue [2] 0x0, link 00000000
ath_tx_stopdma: tx queue [3] 0x0, link 00000000
ath_tx_stopdma: tx queue [4] 0x0, link 00000000
ath_tx_stopdma: tx queue [7] 0x0, link 00000000
ath_tx_stopdma: tx queue [8] 0x0, link 00000000
# ath_stoprecv: rx queue 0x8ee000, link c2985750
R (c2985000 8ee000) 008ee030 00bf5020 00000000 00000c40 00000000 00000000  
<skiped> ======== 
R (c2985690 8ee690) 008ee6c0 0085a020 00000000 00000c40 00000000 00000000  
R (c29856c0 8ee6c0) 008ee6f0 00859020 00000000 00000c40 00000000 00000000  
R (c29856f0 8ee6f0) 008ee720 00858020 00000000 00000c40 00000000 00000000  
R (c2985720 8ee720) 008ee750 00857020 00000000 00000c40 00000000 00000000  
R (c2985750 8ee750) 008ee750 00856020 00000000 00000c40 00000000 00000000  
ath_stoprecv: rx queue 0x8ee120, link c2985750
R (c2985000 8ee000) 008ee030 00bf5020 00000000 00000c40 11ac0000 00c71111 !
R (c2985030 8ee030) 008ee060 0087e020 00000000 00000c40 124c0000 01b21111 !
R (c2985060 8ee060) 008ee090 0087d020 00000000 00000c40 112c0000 0bf71115 !
R (c2985090 8ee090) 008ee0c0 0087c020 00000000 00000c40 121c0000 0cc91115 !
R (c29850c0 8ee0c0) 008ee0f0 0087b020 00000000 00000c40 124c0000 0ce21115 !
R (c29850f0 8ee0f0) 008ee120 0087a020 00000000 00000c40 11ed0052 05bb0003 *
R (c2985120 8ee120) 008ee150 00879020 00000000 00000c40 00000000 00000000  
<skiped> ======== 
R (c2985750 8ee750) 008ee750 00856020 00000000 00000c40 00000000 00000000  
ath_stoprecv: rx queue 0x8ee090, link c2985750
R (c2985000 8ee000) 008ee030 00bf5020 00000000 00000c40 22cc0044 42330003 *
R (c2985030 8ee030) 008ee060 0087e020 00000000 00000c40 230c0044 449b0003 *
R (c2985060 8ee060) 008ee090 0087d020 00000000 00000c40 13ad0052 25cb0003 *
R (c2985090 8ee090) 008ee0c0 0087c020 00000000 00000c40 00000000 00000000  
<skiped> ========
R (c2985750 8ee750) 008ee750 00856020 00000000 00000c40 00000000 00000000  
ath_stoprecv: rx queue 0x8ee090, link c2985750
R (c2985000 8ee000) 008ee030 00bf5020 00000000 00000c40 11ed0052 45db0003 *
R (c2985030 8ee030) 008ee060 0087e020 00000000 00000c40 123d0000 68871111 !
R (c2985060 8ee060) 008ee090 0087d020 00000000 00000c40 11fd0052 55db0003 *
R (c2985090 8ee090) 008ee0c0 0087c020 00000000 00000c40 00000000 00000000  
<skiped> ========
R (c2985750 8ee750) 008ee750 00856020 00000000 00000c40 00000000 00000000  
ath_stoprecv: rx queue 0x8ee1b0, link c2985750
R (c2985000 8ee000) 008ee030 00bf5020 00000000 00000c40 12dc0000 43821911 !
R (c2985030 8ee030) 008ee060 0087e020 00000000 00000c40 144c0000 44281911 !
R (c2985060 8ee060) 008ee090 0087d020 00000000 00000c40 12ec0000 463a1911 !
R (c2985090 8ee090) 008ee0c0 0087c020 00000000 00000c40 12cc0000 48f21911 !
R (c29850c0 8ee0c0) 008ee0f0 0087b020 00000000 00000c40 144c0000 49981911 !
R (c29850f0 8ee0f0) 008ee120 0087a020 00000000 00000c40 12ec0000 4baa1911 !
R (c2985120 8ee120) 008ee150 00879020 00000000 00000c40 145c0000 4c501911 !
R (c2985150 8ee150) 008ee180 00878020 00000000 00000c40 145c0000 4f281911 !
R (c2985180 8ee180) 008ee1b0 00877020 00000000 00000c40 244c0000 6a651915 !
R (c29851b0 8ee1b0) 008ee1e0 00876020 00000000 00000c40 00000000 00000000  
R (c29851e0 8ee1e0) 008ee210 00875020 00000000 00000c40 00000000 00000000  
etc etc etc

so no scan.

Change History

(follow-up: ↓ 2 ) 07/13/07 06:25:19 changed by mentor

Would you provide a slightly more verbose description of the problem?

(in reply to: ↑ 1 ) 07/25/07 09:35:09 changed by anonymous

Replying to mentor:

Would you provide a slightly more verbose description of the problem?

I use madwifi driwer in ixp425 platform (arm xscale be) with minipci wifi device "AG-621" (Atheros AR5212A chip) Why "no scan results" ??

Look at nopaste.ch/caae4c72ea2f2f9.html - log here.

The range to AP - 5 meters (this is a Z-com XG580 Plus with factory firmware).

This AP associated if I upload to ixp425 device the factory firmware (instead my own compiled firmware with madwifi).

Also i mark contact as here: www.minipci.biz/pin7.jpg - "No scan results" too

07/25/07 18:20:21 changed by mentor

Contents of nopaste.ch/caae4c72ea2f2f9.html:

Uncompressing Linux................................................... done, booting the kernel.
Linux version 2.4.32-uc0 (mib@mib) (gcc version 3.4.4) #231 Вто Июл 24 15:35:49 EEST 2007
CPU: XScale-IXP4xx/IXC11xx revision 1
Machine: Intel IXDP425 Development Platform
Warning: bad configuration page, trying to continue
alloc_bootmem_low
memtable_init
On node 0 totalpages: 8192
zone(0): 8192 pages.
zone(1): 0 pages.
zone(2): 0 pages.
Kernel command line: console=ttyS0,9600 root=/dev/ram0 initrd=0x00800000,4M mem=32M@0x00000000
Calibrating delay loop... 262.96 BogoMIPS
Memory: 32MB = 32MB total
Memory: 26616KB available (1196K code, 239K data, 228K init)
Dentry cache hash table entries: 4096 (order: 3, 32768 bytes)
Inode cache hash table entries: 2048 (order: 2, 16384 bytes)
Mount cache hash table entries: 512 (order: 0, 4096 bytes)
Buffer cache hash table entries: 1024 (order: 0, 4096 bytes)
Page-cache hash table entries: 8192 (order: 3, 32768 bytes)
POSIX conformance testing by UNIFIX
PCI Autoconfig: Found Bus 0, Device 1, Function 0
PCI Autoconfig: BAR 0, Mem, size=0x10000, address=0x4bff0000
PCI: bus0: Fast back to back transfers enabled
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
Starting kswapd
JFFS2 version 2.1. (C) 2001 Red Hat, Inc., designed by Axis Communications AB.
pty: 256 Unix98 ptys configured
Serial driver version 5.05c (2001-07-08) with MANY_PORTS SHARE_IRQ SERIAL_PCI enabled
ttyS00 at 0xff000003 (irq = 15) is a XScale UART
ttyS01 at 0xff001003 (irq = 13) is a XScale UART
RAMDISK driver initialized: 16 RAM disks of 8192K size 1024 blocksize
Initializing Cryptographic API
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP
IP: routing cache hash table of 512 buckets, 4Kbytes
TCP: Hash tables configured (established 2048 bind 4096)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
NetWinder Floating Point Emulator V0.97 (double precision)
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 4096K
VFS: Mounted root (ext2 filesystem) readonly.
Freeing init memory: 228K
Using /lib/modules/2.4.32-uc0/kernel/ixp425/ixp400-1.4/ixp400.o
Module init.
/etc/rc: /dev/ixNpe: No such device
Using /lib/modules/2.4.32-uc0/keixp425_eth:
kernel/ixp425/net-1.4/ixp425_eth.o
Initializing IXP425 NPE Ethernet driver software v. 1.1+
ixp425_eth: CPU clock speed (approx) = 0 MHz
[error] ixEthMiiPhyScan : unexpected Mii PHY ID 002ecc62
ixp425_eth: eth0 is using the PHY at address 0
ixp425_eth: eth1 is using the PHY at address 1
ixp425_eth: ixEthMiiLinkStatus failed on PHY0.
        Can't determine
the auto negotiated parameters. Using default values.
ixp425_eth: ixEthMiiLinkStatus failed on PHY1.
        Can't determine
the auto negotiated parameters. Using default values.
Using /lib/modules/2.4.32-uc0/net/ath_hal.o
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112, RF2413, RF5413, RF2133, REGOPS_FUNC)
Using /lib/modules/2.4.32-uc0/net/wlan.o
wlan: 0.8.4.2 (svn r2590)
Using /lib/modules/2.4.32-uc0/net/ath_rate_sample.oath_rate_sample: 1.2 (svn r2590)
 
Using /lib/modules/2.4.32-uc0/net/wlan_scan_sta.o
Using /lib/modules/2.4.32-uc0/net/ath_pci.o
ath_pci: 0.9.4.5 (svn r2590)
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.6 phy 4.1 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x4bff0000, irq=28
wlanconfig ath0 destroy
wlanconfig ath0 create wlandev wifi0 wlanmode sta
ath0
iwconfig ath0 channel 1 essid LIFE
ifconfig ath0 10.0.1.155 netmask 255.255.255.0 up
ifconfig
ath0      Link encap:Ethernet  HWaddr 06:60:B3:C7:A1:A6 
          inet addr:10.0.1.155  Bcast:10.255.255.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
         
eth0      Link encap:Ethernet  HWaddr 00:02:B3:01:01:01 
          inet addr:192.168.0.2  Bcast:192.168.0.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:256
         
lo        Link encap:Local Loopback 
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
         
wifi0     Link encap:UNSPEC  HWaddr 00-60-B3-C7-A1-A6-62-00-00-00-00-00-00-00-00-00 
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:2202 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199
                    Interrupt:28
 
iwconfig
lo        no wireless extensions.
 
eth0      no wireless extensions.
 
eth1      no wireless extensions.
 
wifi0     no wireless extensions.
 
ath0      IEEE 802.11Ta  ESSID:"LIFE" 
          Mode:Managed  Frequency:5.8 GHz  Access Point: Not-Associated   
          Bit Rate:0 kb/s   Tx-Power:16 dBm   Sensitivity=1/1 
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0
 
iwlist ath0 scan
ath0      No scan results
 
iwpriv ath0 mode 3
iwconfig         
lo        no wireless extensions.
 
eth0      no wireless extensions.
 
eth1      no wireless extensions.
 
wifi0     no wireless extensions.
 
ath0      IEEE 802.11g  ESSID:"LIFE" 
          Mode:Managed  Frequency:2.412 GHz  Access Point: Not-Associated   
          Bit Rate:1 Mb/s   Tx-Power:20 dBm   Sensitivity=1/1 
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0
 
iwlist ath0 scan

ath0      No scan results

08/13/07 13:46:10 changed by anonymous

I continue to battle with madwifi on ixp425 digendian device :)

athstats 1

input output altrate short long xretry crcerr crypt phyerr rssi rate

0 12331 0 0 0 0 0 0 0 0 0M 0 10 0 0 0 0 0 0 0 0 0M 0 10 0 0 0 0 0 0 0 0 0M

the signal only is transmitted, but is not received. Maybe wrong HAL settings ? I try to compile different versions of madwifi, use HAL_TARGET:=armv4-be-elf or HAL_TARGET:=xscale-be-elf - but results -

root@OpenWrt:/# iwconfig ath0 ath0 IEEE 802.11a ESSID:"LIFE" Nickname:""

Mode:Managed Frequency:5.785 GHz Access Point: Not-Associated Bit Rate:0 kb/s Tx-Power:16 dBm Sensitivity=1/1 Retry:off RTS thr:off Fragment thr:off Encryption key:off Power Management:off Link Quality=0/70 Signal level=-256 dBm Noise level=-256 dBm Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0 Tx excessive retries:0 Invalid misc:0 Missed beacon:0

root@OpenWrt:/# iwlist ath0 scan ath0 No scan results

How to learn, where the problem what the external signal does not come? The problem not an in hardware because the factory firmware perfectly works with this device and "sees AP"

08/13/07 23:42:16 changed by mentor

@ the previous poster: Is this related to the topic of the ticket?

08/14/07 06:27:35 changed by anonymous

yes, it is my ticket, now i try to use madwifi with "openwrt" instead "snapgear".

08/14/07 16:08:10 changed by mentor

OK, so what is the actual 'fatal' you are experiencing?

08/14/07 19:05:50 changed by anonymous

The basic sense: the driver is launched, all adjustments are applied without errors, but atheros does not communicate with an external world. The only thing that is suspicious: If to make a command "athdebug 0xFFFFFFFF", then start the interface (ifconfig ath0 up) there are fatal errors responded by athdebug (see it on first post)

As I wrote above, rfkill is switched off at start, And i isolate 7th contact on mini-pci.

Perhaps, that it is not enough, and RF-part is disconnected anyway? There can be a factory firmware know secret how to enable RF? The factory firmware is normally connected to AP !

08/16/07 14:12:47 changed by anonymous

On this device 2 mini-pci a socket. 
I have replaced wifi device in other socket - and it has completely
worked!!! 
At loading there are differences: 
wlan: 0.8.4.2 (svn r2568)
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.30.13 (AR5210, AR5211, AR5212, AR5416, RF5111, RF5112,
RF2413, RF5413, RF2133, REGOPS_FUNC)
ath_rate_sample: 1.2 (svn r2568)
ath_pci: 0.9.4.5 (svn r2568)
PCI: enabling device 0000:00:02.0 (0340 -> 0342)  <---- instead
0000:00:01.0 
ath_pci: switching rfkill capability off
ath_pci: switching per-packet transmit power control off
wifi0: 11a rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps
24Mbps 36Mbps 48Mbps 54Mbps
wifi0: turboA rates: 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps
54Mbps
wifi0: turboG rates: 6Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 5.6 phy 4.1 radio 3.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
wifi0: Atheros 5212: mem=0x48000000, irq=27  <--instead   irq=28



root@OpenWrt:/# iwlist ath0 scan
ath0      Scan completed :
          Cell 01 - Address: 00:60:B3:8E:40:94
                    ESSID:"LIFE"
                    Mode:Master
                    Frequency:2.412 GHz (Channel 1)
                    Quality=71/70  Signal level=-24 dBm  Noise level=-95
dBm
                    Encryption key:off
                    Bit Rates:1 Mb/s; 2 Mb/s; 5.5 Mb/s; 11 Mb/s; 6 Mb/s
                              9 Mb/s; 12 Mb/s; 18 Mb/s; 24 Mb/s; 36 Mb/s
                              48 Mb/s; 54 Mb/s
                    Extra:bcn_int=100
YEAP!!!
and
It is necessary to find out, why in other socket atheros it is started, 
but the radio-part does not work. Probably, it is a problem not in the driver, 
but in adjustments of a configuration of a kernel (pci, irq)?

08/16/07 15:00:02 changed by mentor

  • summary changed from fatals on "ifconfig ath0 up" (ixp425 plarform bigendian , madwifi-0.9.3.1, "snapgear" kernel 2.4.x) to No scan results - IXP425, SnapGear 2.4.
  • version set to v0.9.3.1.
  • milestone set to version 0.9.4.

I noticed that you've also upgraded your version of MadWiFi there. There as been a fix applied in r2623 which I believe to have fixed this problem. Therefore I am marking this as fixed. Also, the situation you describe in no way qualifies as a fatal.

08/16/07 15:00:26 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

02/11/08 06:21:24 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.

(follow-up: ↓ 14 ) 05/23/09 05:07:19 changed by kok-tong.lim@foxconn.com

Hi can someone help to provide the original manufacturer name & contact window for FLASH 400076 Intel IXP425 SG580?

(in reply to: ↑ 13 ) 05/25/09 06:28:22 changed by mrenzmann

  • pending changed.

Replying to kok-tong.lim@foxconn.com:

Hi can someone help

Probably, but not here, where such stuff is off-topic.